<?xml version="1.0" encoding="UTF_8"?>
    <SensorLegacyCap>
        <tag key="HAL_PRIVATE_LEGACY_SENSOR_LOGICAL_ID" type="uint8_t">
            <value type="string2Enum">LOGICAL_ID_FIRST_CAMERA</value>
        </tag>
        <tag key="HAL_PRIVATE_CAMERA_ID_MAP" type="uint8_t">
            <value>3</value>
            <value type="string2Enum">PHYSICAL_CAMERA_MAIN</value>
            <value type="string2Enum">PHYSICAL_CAMERA_WIDE</value>
            <value type="string2Enum">PHYSICAL_CAMERA_TELE</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
        </tag>
        <tag key="HAL_CUSTOM_DEVICE_SENSOR_POSITION" type="int32_t">
            <value type="string2Enum">CAMERA_POSITION_REAR_LOGICAL</value>
        </tag>
        <tag key="HAL_CUSTOM_DUAL_PRIMARY_SUPPORTED" type="uint8_t">
            <value type="string2Enum">CAMERA_CUSTOM_DUAL_PRIMARY_FIRST</value>
            <value type="string2Enum">CAMERA_CUSTOM_DUAL_PRIMARY_SECOND</value>
            <value type="string2Enum">CAMERA_CUSTOM_DUAL_PRIMARY_BOTH</value>
        </tag>
    </SensorLegacyCap>
